version: '3.8'

services:
  postgres:
    image: postgres:13
    restart: always
    environment:
      POSTGRES_USER: factorytrace
      POSTGRES_PASSWORD: 7qUNs4q5c3U7KTrehv0V
      POSTGRES_DB: factorytracedb
    volumes:
      - ./db/lahelice20250819.sql:/docker-entrypoint-initdb.d/lahelice20250819.sql
    ports:
      - "5432:5432"

  restpod:
    image: devops.vespot.co:5000/factorytracerest:lahelice
    pull_policy: always
    restart: always
    environment:
      DB_HOST: postgres
      DB_PORT: 5432
      DB_USER: factorytrace
      DB_PASS: 7qUNs4q5c3U7KTrehv0V
      DB_NAME: factorytracedb
    ports:
      - "7070:7070"
    depends_on:
      - postgres

  frontpod:
    image: devops.vespot.co:5000/factorytracefront:lahelice
    pull_policy: always
    restart: always
    ports:
      - "8080:80"
    depends_on:
      - restpod